Update adjustments by identifier

Update the adjustment fields for the cart and adjustment IDs given in the parameters.

Required Fields:

  • cartId (route) - required
  • adjustmentId (route) - required
  • adjustmentLineItem (body) - required

Behavior

  • A null body returns 400 Bad Request.
  • Updates the single manual adjustment identified by adjustmentId and re-prices asynchronously (202 Accepted while processing).
  • Access to the product configuration is enforced by the configuration access filter (403 Forbidden when not permitted).
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The cart's unique identifier

string
required

The ID of adjustment

Body Params

The adjustment line item

string | null

Adjustment type.

double | null

Adjustment amount.

string | null

Adjustment applies to.

LineItem
object
int32

Line number.

string | null

Line type.

string | null

Adjustment uom.

double | null

Per unit value.

double | null

Gross value.

string | null

Adjustment name.

int32 | null

Sequence.

double | null

Overwritten per unit value.

double | null

Overwritten gross value.

boolean | null

Is override by unit adjustment.

boolean | null

Is override by adjustment.

string | null

Price point.

string | null

Type.

string | null

Sub type.

double | null

Unit adjustment.

double | null

Incentive adjustment amount.

boolean | null

Auto apply.

string | null

Incentive name.

string | null

Description.

date-time | null

Expiration date.

Incentive
object
IncentiveRuleEntry
object
string | null

Incentive code.

string | null

Coupon code.

double | null

Benefit quantity.

string | null

Bucket.

PriceRuleEntry
object
PriceRule
object
PriceRuleSet
object
PriceMatrix
object
PriceMatrixEntry
object
WaterfallRuleEntry
object
WaterfallRule
object
WaterfallRuleset
object
CreatedBy
object
date-time | null

Created date.

string | null

Id.

ModifiedBy
object
date-time | null

Modified date.

string | null

Name.

string | null

Currency.

string | null

Digest.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses
200

Adjustment updated successfully.

202

Adjustment update accepted and is being processed.

500

An unexpected error occurred while updating the adjustment.

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json